VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ReferenceCounted< T > Class Template Reference

`#include <vstguibase.h>`

Inheritance diagram for ReferenceCounted< T >:

## Public Member Functions
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)

## Reference Counting Methods
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Constructor & Destructor Documentation

## ◆ ReferenceCounted() [1/2]

template<typename T>

ReferenceCounted | ( |  | ) |
| default

## ◆ ~ReferenceCounted()

template<typename T>

virtual ~ReferenceCounted | ( |  | ) |
| virtual default noexcept

## ◆ ReferenceCounted() [2/2]

template<typename T>

ReferenceCounted | ( | const ReferenceCounted< T > & |  | ) |
| inline

## Member Function Documentation

## ◆ forget()

template<typename T>

void forget | ( |  | ) |
| inline override virtual

decrease refcount and delete object if refcount == 0

Implements IReference.

## ◆ getNbReference()

template<typename T>

virtual int32_t getNbReference | ( |  | ) | const
| inline virtual

get refcount

## ◆ operator=()

template<typename T>

ReferenceCounted & operator= | ( | const ReferenceCounted< T > & |  | ) |
| inline

## ◆ remember()

template<typename T>

void remember | ( |  | ) |
| inline override virtual

increase refcount

Implements IReference.

The documentation for this class was generated from the following file:

- vstguibase.h